Bug 1522838 - [abrt] dnfdragora-gui: _add_repo_to_sack(): __init__.py:250:_handle_dbus_error:dnfdaemon.client.DaemonError: g-io-error-quark: GDBus.Error:org.freedesktop.DBus.Python.OSError: Traceback (most recent call last):
Summary: [abrt] dnfdragora-gui: _add_repo_to_sack(): __init__.py:250:_handle_dbus_erro...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnfdragora
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:bd626c9f22e2a548600380ab735...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-06 14:41 UTC by aannoaanno
Modified: 2018-01-01 22:12 UTC (History)
4 users (show)

Fixed In Version: dnfdragora-1.0.1-8.git20171229.24e4647.fc27 dnfdragora-1.0.1-8.git20171229.24e4647.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-31 21:28:59 UTC


Attachments (Terms of Use)
File: backtrace (5.57 KB, text/plain)
2017-12-06 14:41 UTC, aannoaanno
no flags Details
File: cgroup (322 bytes, text/plain)
2017-12-06 14:41 UTC, aannoaanno
no flags Details
File: cpuinfo (1.40 KB, text/plain)
2017-12-06 14:41 UTC, aannoaanno
no flags Details
File: environ (1.44 KB, text/plain)
2017-12-06 14:41 UTC, aannoaanno
no flags Details
File: mountinfo (3.66 KB, text/plain)
2017-12-06 14:41 UTC, aannoaanno
no flags Details
File: namespaces (129 bytes, text/plain)
2017-12-06 14:41 UTC, aannoaanno
no flags Details
File: open_fds (860 bytes, text/plain)
2017-12-06 14:41 UTC, aannoaanno
no flags Details

Description aannoaanno 2017-12-06 14:41:01 UTC
Version-Release number of selected component:
dnfdragora-gui-1.0.1-6.git20170505.2a3b056.fc27

Additional info:
reporter:       libreport-2.9.3
cmdline:        /usr/bin/python3 /bin/dnfdragora-updater
crash_function: _add_repo_to_sack
exception_type: OSError
executable:     /bin/dnfdragora-updater
kernel:         4.13.15-300.fc27.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
#1 _add_repo_to_sack in /usr/lib/python3.6/site-packages/dnf/base.py:135
#2 fill_sack in /usr/lib/python3.6/site-packages/dnf/base.py:353
#3 setup_base in /usr/lib/python3.6/site-packages/dnfdaemon/server/backend.py:69
#4 _get_base in /usr/lib/python3.6/site-packages/dnfdaemon/server/__init__.py:1061
#5 base in /usr/lib/python3.6/site-packages/dnfdaemon/server/__init__.py:205
#6 expire_cache in /usr/lib/python3.6/site-packages/dnfdaemon/server/__init__.py:234
#7 ExpireCache in /usr/share/dnfdaemon/dnfdaemon-system:175
#8 newFunc in /usr/lib/python3.6/site-packages/dnfdaemon/server/__init__.py:83
#9 _message_cb in /usr/lib64/python3.6/site-packages/dbus/service.py:707

Comment 1 aannoaanno 2017-12-06 14:41:07 UTC
Created attachment 1363697 [details]
File: backtrace

Comment 2 aannoaanno 2017-12-06 14:41:09 UTC
Created attachment 1363698 [details]
File: cgroup

Comment 3 aannoaanno 2017-12-06 14:41:10 UTC
Created attachment 1363699 [details]
File: cpuinfo

Comment 4 aannoaanno 2017-12-06 14:41:11 UTC
Created attachment 1363700 [details]
File: environ

Comment 5 aannoaanno 2017-12-06 14:41:13 UTC
Created attachment 1363701 [details]
File: mountinfo

Comment 6 aannoaanno 2017-12-06 14:41:14 UTC
Created attachment 1363702 [details]
File: namespaces

Comment 7 aannoaanno 2017-12-06 14:41:15 UTC
Created attachment 1363703 [details]
File: open_fds

Comment 8 Fedora Update System 2017-12-29 23:24:37 UTC
dnfdaemon-0.3.18-5.fc27 dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d66bd84f06

Comment 9 Fedora Update System 2017-12-29 23:28:27 UTC
dnfdaemon-0.3.18-5.fc26 dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8caadb4a1b

Comment 10 Fedora Update System 2017-12-30 19:55:17 UTC
dnfdaemon-0.3.18-5.fc27, dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d66bd84f06

Comment 11 Fedora Update System 2017-12-30 20:41:03 UTC
dnfdaemon-0.3.18-5.fc26, dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8caadb4a1b

Comment 12 Fedora Update System 2017-12-31 21:28:59 UTC
dnfdaemon-0.3.18-5.fc27, dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-01-01 22:12:32 UTC
dnfdaemon-0.3.18-5.fc26, dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.